## Index

### Classes

- Task

### Type aliases

- IMapFn
- IPipeFn
- ITaskChainFn

## Type aliases

### IMapFn

IMapFn: function

- Defined in src/task/task.ts:3

#### Type declaration

- - (a: A): B

  - #### Parameters

    - ##### a: A

    #### Returns B

### IPipeFn

IPipeFn: function

- Defined in src/task/task.ts:5

#### Type declaration

- - (a: Task<T1, E1>): Task<T2, E2>

  - #### Parameters

    - ##### a: Task<T1, E1>

    #### Returns Task<T2, E2>

### ITaskChainFn

ITaskChainFn: function

- Defined in src/task/task.ts:4

#### Type declaration

- - (value: A): Task<B, E>

  - #### Parameters

    - ##### value: A

    #### Returns Task<B, E>

Generated using TypeDoc